# Default values for glitchtip.
image:
  repository: glitchtip/glitchtip
  tag: latest
  pullPolicy: Always

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

env:
  normal:
    ENABLE_SOCIAL_AUTH: false
    GLITCHTIP_DOMAIN: https://example.com
  secret:
    SECRET_KEY: # Required
    # DATABASE_URL: Specify if using external postgres (not managed by this chart)
    # REDIS_URL: Specify if using external redis (not managed by this chart)

web:
  replicaCount: 2
  autoscaling:
    enabled: false
    minReplicas: 2
    maxReplicas: 10
    targetCPUUtilizationPercentage: 80
    # targetMemoryUtilizationPercentage: 80
  budget:
    minAvailable: 1
  resources:
    limits:
      cpu: 1000m
      memory: 512Mi
    requests:
      cpu: 100m
      memory: 128Mi
  nodeSelector: {}
  tolerations: []
  affinity:
    podAntiAffinity:
      preferredDuringSchedulingIgnoredDuringExecution:
      - weight: 100
        podAffinityTerm:
          labelSelector:
            matchExpressions:
            - key: app.kubernetes.io/component
              operator: In
              values:
              - web  # Change this as needed
          topologyKey: kubernetes.io/hostname
  livenessProbe:
    failureThreshold: 5
    initialDelaySeconds: 5
    timeoutSeconds: 2
  readinessProbe:
    failureThreshold: 10
    initialDelaySeconds: 5
    timeoutSeconds: 2
  service:
    type: ClusterIP
    port: 80

  ingress:
    enabled: false
    annotations:
      {}
      # kubernetes.io/ingress.class: nginx
      # kubernetes.io/tls-acme: "true"
    hosts:
      - host: chart-example.local
        paths:
          - path: /
            pathType: ImplementationSpecific
    tls: []
    #  - secretName: chart-example-tls
    #    hosts:
    #      - chart-example.local

worker:
  enabled: true
  replicaCount: 1
  autoscaling:
    enabled: false
    minReplicas: 1
    maxReplicas: 100
    targetCPUUtilizationPercentage: 90
    # targetMemoryUtilizationPercentage: 80
  resources:
    limits:
      cpu: 900m
      memory: 768Mi
    requests:
      cpu: 100m
      memory: 128Mi
  nodeSelector: {}
  tolerations: []
  affinity: {}

beat:
  enabled: true

serviceAccount:
  # Specifies whether a service account should be created
  create: false
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name:


redis:
  enabled: true
  architecture: standalone
  # auth:
  #  password: # Set this to avoid remaking redis on each release
  master:
    persistence:
      enabled: false

# Default to disabled, use a managed database service. But can be enabled here.
postgresql:
  enabled: false
  postgresqlPassword: # Must be set
